[![Build Status](https://github.com/temken/obscura/workflows/Build%20Status/badge.svg)](https://github.com/temken/obscura/actions)
[![codecov](https://codecov.io/gh/temken/obscura/branch/master/graph/badge.svg)](https://codecov.io/gh/temken/obscura)
[![Documentation Status](https://readthedocs.org/projects/obscura/badge/?version=latest)](https://obscura.readthedocs.io/en/latest/?badge=latest)
[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg)](https://opensource.org/licenses/MIT)

# obscura - Direct detection of dark matter with nucleus and electron recoil experiments

[![status](https://joss.theoj.org/papers/fd8076268036956d3bf08193c4fc2db9/status.svg)](https://joss.theoj.org/papers/fd8076268036956d3bf08193c4fc2db9)
[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.4557187.svg)](https://doi.org/10.5281/zenodo.4557187)

A modular C++ tool and library for dark matter direct detection computations for both nuclear and electron recoil experiments.

<img src="paper/FlowChart.png" width="500">

You can find more detailed documentation of *obscura* [here](https://obscura.readthedocs.io/en/latest/index.html). The documentation contains e.g. a [guide to get started](https://obscura.readthedocs.io/en/latest/01_Getting_Started.html) and a [list of all included experiments](https://obscura.readthedocs.io/en/latest/08_Experiments.html).

## CITATION

If you decide to use this code, or if you want to add a reference to it, please cite both the paper and the code.

> Emken, T., obscura: A modular C++ tool and library for the direct detection of (sub-GeV) dark matter via nuclear and electron recoils, [Journal of Open Source Software, 6(68), 3725, 2021](https://joss.theoj.org/papers/10.21105/joss.03725).

> Emken, T., 2021, obscura - A C++ library for dark matter detection computations [Code] [[DOI:10.5281/zenodo.4557187]](https://zenodo.org/record/4557187).

<details><summary>Bibtex entries</summary>
<p>

```
@article{Emken:2021uzb,
    author = "Emken, Timon",
    title = "{obscura: A modular C++ tool and library for the direct detection of (sub-GeV) dark matter via nuclear and electron recoils}",
    eprint = "2112.01489",
    archivePrefix = "arXiv",
    primaryClass = "hep-ph",
    doi = "10.21105/joss.03725",
    journal = "J. Open Source Softw.",
    volume = "6",
    pages = "3725",
    year = "2021"
}
```

```
@software{obscura,
  author = {Emken, Timon},
  title = {{obscura - A C++ library for dark matter detection computations [Code]}},
  year         = {2021},
  publisher    = {Zenodo},
  doi          = {DOI:10.5281/zenodo.4557187},
  url          = {https://doi.org/10.5281/zenodo.4557187},
  howpublished={The code can be found under \url{https://github.com/temken/obscura}.}
}
```

</p>
</details>

<details><summary>Cite a specific version (e.g. v1.0.1)</summary>
<p>

If you want to cite a specific version, please cite the respective DOI that can be found [here](https://zenodo.org/record/4557187). For example, for v1.0.1:

> Emken, T., 2021, obscura - A C++ library for dark matter detection computations [Code v1.0.1] [[DOI:10.5281/zenodo.5956877]](https://zenodo.org/record/5956877).

The corresponding bibtex entry:

```
@software{obscura_1_0_1,
  author = {Emken, Timon},
  title = {{obscura - A C++ library for dark matter detection computations [Code, v1.0.1]}},
  year         = {2021},
  publisher    = {Zenodo},
  version      = {v1.0.1},
  doi          = {DOI:10.5281/zenodo.5956877},
  url          = {https://doi.org/10.5281/zenodo.5956877},
  howpublished={The code can be found under \url{https://github.com/temken/obscura}.}
}
```

</p>
</details>

## VERSION HISTORY

- 10.11.2021: Release of version 1.0.0
- 23.02.2021: Release of version 0.1.0

## AUTHORS & CONTACT

The author of *obscura* is [Timon Emken](https://timonemken.com/).

For questions, support, bug reports, or other suggestions, please contact [timon.emken@fysik.su.se](mailto:timon.emken@fysik.su.se) or open an [issue](https://github.com/temken/obscura/issues).


## LICENSE

This project is licensed under the MIT License - see the LICENSE file.
