# References

## Experimental data

### CRESST-II

> Angloher, G. *et al*, **Results on light dark matter particles with a low-threshold CRESST-II detector**, [Eur.Phys.J. C76 (2016) no.1, 25](https://doi.org/10.1140/epjc/s10052-016-3877-3) , [[arXiv:1509.01515]](https://arxiv.org/abs/1509.01515)

The files in */CRESST-II/* are the arXiv ancillary files of

> Angloher, G. *et al*, **Description of CRESST-II data**, [[arXiv:1701.08157]](https://arxiv.org/abs/1701.08157)

### CRESST-III

> Abdelhameed, A.H. *et al*, **First results from the CRESST-III low-mass dark matter program**, [Phys.Rev.D 100 (2019) 10, 102002](https://journals.aps.org/prd/abstract/10.1103/PhysRevD.100.102002) , [[arXiv:1904.00498]](https://arxiv.org/abs/1904.00498)

The files in */CRESST-III/* are the arXiv ancillary files of

> Abdelhameed, A.H. *et al*, **Description of CRESST-III data**, [[arXiv:1905.07335]](https://arxiv.org/abs/1905.07335)

### CRESST-surface

The files in */CRESST-surface/* are the arXiv ancillary files of

> Angloher, G. *et al*, **Results on MeV-scale dark matter from a gram-scale cryogenic calorimeter operated above ground**, [Eur.Phys.J.C 77 (2017) 9, 637](https://link.springer.com/article/10.1140%2Fepjc%2Fs10052-017-5223-9) , [[arXiv:1707.06749]](https://arxiv.org/abs/1707.06749)

### XENON10-S2

> Trigger efficiencies from [arXiv:1206.2644](https://arxiv.org/abs/1206.2644)

### XENON100-S2

> Acceptance and trigger efficiencies from [arXiv:1605.06262](https://arxiv.org/abs/1605.06262)

### XENON1T-S2
> Efficiency from Fig. 2 of [arXiv:1907.11485](https://arxiv.org/abs/1907.11485) (see also App. E of [arXiv:1912.08204](https://arxiv.org/abs/1912.08204))

## Crystal form factors
The crystal form factors in the folder */Semiconductors/* were taken from [this website](http://ddldm.physics.sunysb.edu/ddlDM/) and were tabulated with [QEdark](https://github.com/adrian-soto/QEdark_repo). For details, we refer to the corresponding publication:

>Essig, R. *et al*, **Direct Detection of sub-GeV Dark Matter with Semiconductor Targets**, [JHEP 05 (2016) 046](https://link.springer.com/article/10.1007/JHEP05(2016)046) , [[arXiv:1509.01598]](https://arxiv.org/abs/1509.01598).

## Nuclear Data
Sources for spin expectation values
		
- F-19, Na-23, Al-27, Si-29,Ge-73, I-127, Xe-12, Xe-131	[[arXiv:1304.7684]](https://arxiv.org/abs/1304.7684)
- Remaining from [[arXiv:hep-ph/0406218]](https://arxiv.org/abs/hep-ph/0406218) and references therein.