# Contributing to obscura
Your feedback and contribution to obscura are very welcome. This could be:

- Reporting a bug
- Discussing the current state of the code
- Submitting a fix
- Proposing new features
- Becoming a maintainer

## We Use [Github Flow](https://guides.github.com/introduction/flow/index.html)
We use github to host code, to track issues and feature requests, as well as accept pull requests. Pull requests are the best way to propose changes to the codebase (we use [Github Flow](https://guides.github.com/introduction/flow/index.html)). We actively welcome your pull requests:

1. Fork the repo and create your branch from `master`.
2. If you've added code that should be tested, add tests using [googletest](https://github.com/google/googletest).
3. If you've changed existing code, please check if the documentation requires an update.
4. Ensure all tests pass.
5. Keep the coding style consistent, ideally using `clang-format` (see below).
6. Issue that pull request!

## Any contributions you make will be under the MIT Software License
In short, when you submit code changes, your submissions are understood to be under the same [MIT License](http://choosealicense.com/licenses/mit/) that covers the project. Feel free to contact the maintainers if that's a concern.

## Report bugs using Github's [issues](https://github.com/temken/obscura/issues)
We use GitHub issues to track public bugs. Report a bug by opening an [issue](https://github.com/temken/obscura/issues).

## Write bug reports with detail, background, and sample code
Your bug report should contain:

- A quick summary and/or background
- Steps to reproduce
  - Be specific!
  - Give sample code if you can.
- What you expected would happen
- What actually happens
- Notes (possibly including why you think this might be happening, or stuff you tried that didn't work)


## Use a Consistent Coding Style
We want the coding style to remain consistent throughout the library. For this purpose, we use [clang-format](https://clang.llvm.org/docs/ClangFormat.html). With [this style configuration file](https://github.com/temken/clang-format-style/blob/master/.clang-format) you can find the specific format choices currently used. Most importantly, tabs are used for indentation.

## References
This document was adapted from this open-source contribution [template](https://gist.github.com/briandk/3d2e8b3ec8daf5a27a62).
